# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-07-17 16:42
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('vouchers', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='classvoucher',
            options={'verbose_name': 'Class-specific voucher restriction', 'verbose_name_plural': 'Class-specific voucher restrictions'},
        ),
        migrations.AlterModelOptions(
            name='customervoucher',
            options={'verbose_name': 'Customer-specific voucher restriction', 'verbose_name_plural': 'Customer-specific voucher restrictions'},
        ),
        migrations.AlterModelOptions(
            name='dancetypevoucher',
            options={'verbose_name': 'Dance type/level voucher restriction', 'verbose_name_plural': 'Dance type/level voucher restrictions'},
        ),
        migrations.AlterModelOptions(
            name='temporaryvoucheruse',
            options={'verbose_name': 'Tentative voucher use', 'verbose_name_plural': 'Tentative voucher uses'},
        ),
        migrations.AlterModelOptions(
            name='voucher',
            options={'verbose_name': 'Voucher', 'verbose_name_plural': 'Vouchers'},
        ),
        migrations.AlterModelOptions(
            name='vouchercategory',
            options={'verbose_name': 'Voucher category', 'verbose_name_plural': 'Voucher categories'},
        ),
        migrations.AlterModelOptions(
            name='vouchercredit',
            options={'verbose_name': 'Voucher credit', 'verbose_name_plural': 'Voucher credits'},
        ),
        migrations.AlterModelOptions(
            name='voucherreferraldiscount',
            options={'verbose_name': 'Voucher referral discount', 'verbose_name_plural': 'Voucher referral discounts'},
        ),
        migrations.AlterModelOptions(
            name='voucherreferraldiscountuse',
            options={'verbose_name': 'Use of voucher referral discount', 'verbose_name_plural': 'Uses of voucher referral discounts'},
        ),
        migrations.AlterModelOptions(
            name='voucheruse',
            options={'verbose_name': 'Voucher use', 'verbose_name_plural': 'Voucher uses'},
        ),
        migrations.AlterField(
            model_name='classvoucher',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.Voucher', verbose_name='Voucher'),
        ),
        migrations.AlterField(
            model_name='customervoucher',
            name='customer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Customer', verbose_name='Customer'),
        ),
        migrations.AlterField(
            model_name='customervoucher',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.Voucher', verbose_name='Voucher'),
        ),
        migrations.AlterField(
            model_name='dancetypevoucher',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.Voucher', verbose_name='Voucher'),
        ),
        migrations.AlterField(
            model_name='temporaryvoucheruse',
            name='amount',
            field=models.FloatField(validators=[django.core.validators.MinValueValidator(0)], verbose_name='Amount'),
        ),
        migrations.AlterField(
            model_name='temporaryvoucheruse',
            name='creationDate',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Date of use'),
        ),
        migrations.AlterField(
            model_name='temporaryvoucheruse',
            name='registration',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.TemporaryRegistration', verbose_name='Registration'),
        ),
        migrations.AlterField(
            model_name='temporaryvoucheruse',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.Voucher', verbose_name='Voucher'),
        ),
        migrations.AlterField(
            model_name='voucher',
            name='category',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='vouchers.VoucherCategory', verbose_name='Category'),
        ),
        migrations.AlterField(
            model_name='voucher',
            name='creationDate',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Creation Date'),
        ),
        migrations.AlterField(
            model_name='voucher',
            name='disabled',
            field=models.BooleanField(default=False, verbose_name='Voucher Disabled'),
        ),
        migrations.AlterField(
            model_name='voucher',
            name='name',
            field=models.CharField(max_length=80, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='vouchercategory',
            name='description',
            field=models.TextField(blank=True, null=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='vouchercategory',
            name='name',
            field=models.CharField(max_length=80, unique=True, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='vouchercredit',
            name='amount',
            field=models.FloatField(validators=[django.core.validators.MinValueValidator(0)], verbose_name='Amount'),
        ),
        migrations.AlterField(
            model_name='vouchercredit',
            name='creationDate',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Date of credit'),
        ),
        migrations.AlterField(
            model_name='vouchercredit',
            name='description',
            field=models.TextField(blank=True, null=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='vouchercredit',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.Voucher', verbose_name='Voucher'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscount',
            name='referreeVoucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='voucherreferralDiscountForReferree', to='vouchers.Voucher', verbose_name='Referree voucher'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscount',
            name='referrerBonus',
            field=models.FloatField(verbose_name='Amount awarded to referrer'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscount',
            name='referrerVoucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='VoucherReferralDiscountForReferrer', to='vouchers.Voucher', verbose_name='Referrer voucher'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscountuse',
            name='creationDate',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Date of use'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscountuse',
            name='voucherCredit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.VoucherCredit', verbose_name='Voucher credit'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscountuse',
            name='voucherReferralDiscount',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.VoucherReferralDiscount', verbose_name='Voucher referral discount'),
        ),
        migrations.AlterField(
            model_name='voucherreferraldiscountuse',
            name='voucherUse',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.VoucherUse', verbose_name='Voucher use'),
        ),
        migrations.AlterField(
            model_name='voucheruse',
            name='amount',
            field=models.FloatField(validators=[django.core.validators.MinValueValidator(0)], verbose_name='Amount'),
        ),
        migrations.AlterField(
            model_name='voucheruse',
            name='creationDate',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Date of use'),
        ),
        migrations.AlterField(
            model_name='voucheruse',
            name='notes',
            field=models.CharField(blank=True, max_length=100, null=True, verbose_name='Notes'),
        ),
        migrations.AlterField(
            model_name='voucheruse',
            name='registration',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Registration', verbose_name='Registration'),
        ),
        migrations.AlterField(
            model_name='voucheruse',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vouchers.Voucher', verbose_name='Voucher'),
        ),
    ]
